package com.supervision.pdfqaserver.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * pdf信息
 * @TableName pdf_info
 */
@TableName(value ="pdf_info")
@Data
public class PdfInfo implements Serializable {
    /**
     * 
     */
    private Integer id;

    /**
     * pdf路径
     */
    private String path;

    /**
     * 文件名
     */
    private String filename;

    /**
     * 处理状态 0:未分析 1：正在分析 2：分析成功 3：分析失败 4：开始数据抽取 5：抽取成功 6：抽取失败
     */
    private int processStatus;

    /**
     * 开始分析时间
     */
    private LocalDateTime analysisStartTime;


    /**
     * 分析结束时间
     */
    private LocalDateTime analysisEndTime;

    /**
     * 开始抽取时间
     */
    private LocalDateTime extractionStartTime;

    /**
     * 结束抽取时间
     */
    private LocalDateTime extractionEndTime;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}