package com.supervision.pdfqaserver.service.impl;

import cn.hutool.core.lang.Assert;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.pdfqaserver.domain.PdfAnalysisOutput;
import com.supervision.pdfqaserver.service.PdfAnalysisOutputService;
import com.supervision.pdfqaserver.mapper.PdfAnalysisOutputMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author Administrator
* @description 针对表【pdf_analysis_output】的数据库操作Service实现
* @createDate 2025-04-27 11:45:24
*/
@Service
public class PdfAnalysisOutputServiceImpl extends ServiceImpl<PdfAnalysisOutputMapper, PdfAnalysisOutput>
    implements PdfAnalysisOutputService{

    @Override
    public List<PdfAnalysisOutput> queryByPdfId(Integer pdfId) {
        Assert.notNull(pdfId, "pdfId不能为空");

        return super.lambdaQuery().eq(PdfAnalysisOutput::getPdfId, pdfId).list();
    }
}




